#
# spec file for package perl-Parse-PMFile
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Parse-PMFile
Name:           perl-Parse-PMFile
Version:        0.470.0
Release:        1.3
# 0.47 -> normalize -> 0.470.0
%define cpan_version 0.47
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Parses .pm file as PAUSE does
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/I/IS/ISHIGAKI/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker::CPANfile) >= 0.09
BuildRequires:  perl(File::Temp) >= 0.19
BuildRequires:  perl(JSON::PP) >= 2.00
BuildRequires:  perl(Test::More) >= 0.94
BuildRequires:  perl(version) >= 0.83
Requires:       perl(JSON::PP) >= 2.00
Requires:       perl(version) >= 0.83
Provides:       perl(Parse::PMFile) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
The most of the code of this module is taken from the PAUSE code as of
April 2013 almost verbatim. Thus, the heart of this module should be quite
stable. However, I made it not to use pipe ("-|") as well as I stripped
database-related code. If you encounter any issue, that's most probably
because of my modification.

This module doesn't provide features to extract a distribution or parse
meta files intentionally.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README

%changelog
* Mon Apr 22 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.47
  see /usr/share/doc/packages/perl-Parse-PMFile/Changes
  0.47 2024/04/21
  - Improve class detection
  0.46 2024/04/15
  - Strip BOM before finding a package
* Fri Mar  8 2024 Tina Müller <tina.mueller@suse.com>
- Fix disabling of __perllib_provides
* Wed Jan 24 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.45
  see /usr/share/doc/packages/perl-Parse-PMFile/Changes
  0.45 2024/01/21
  - Make sure to stringify versions so that they are quoted when they are encoded in JSON
* Fri Apr 28 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.44
  see /usr/share/doc/packages/perl-Parse-PMFile/Changes
  0.44 2023/04/27
  - Allow to parse class|role NAME VERSION
* Sat Dec 12 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.43
  see /usr/share/doc/packages/perl-Parse-PMFile/Changes
  0.43 2020/12/12
  - Avoid instantiating `Safe` compartment if operating in "unsafe" mode.
    (GH#12; bleargh45++)
* Sun Nov 10 2019 <timueller+perl@suse.de>
- updated to 0.42
  see /usr/share/doc/packages/perl-Parse-PMFile/Changes
  0.42 2019/11/09
  - no code changes
  - explicitly declared ExtUtils::MakeMaker::CPANfile as a configure
    requirement (Nikolo++)
* Mon Jun  6 2016 sriedel@suse.de
- initial version (0.41)
